Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/33123/?format=api
{ "ob_id": 33123, "uuid": "09ccee191a81402687c55bd74b4deeec", "title": "Eyjafjallajokull Volcanic Ash Cloud: Airborne Meteorology and Chemistry flight summaries from the EUFAR operators SAFIRE and DLR", "abstract": "The Icelandic Volcano, Eyjafjallajokull, started erupting on 14th April 2010. The volcanic ash cloud produced covered much of Northern Europe for several weeks causing extensive disruption to air travel. The UK and European atmospheric communities had many instruments - both airborne and ground-based, remote sensing and in-situ - taking measurements of the ash cloud throughout this period. This dataset contains summaries of meteorology and chemistry measurements from the EUFAR operators SAFIRE Falcon and ATR 42 aircraft 19th to 21st April 2010 and DLR Falcon Flight on 19 April 2010", "keywords": "Eyjafjallajokull, aircraft, EUFAR, DLR, SAFIRE", "publicationState": "published", "dataPublishedTime": "2010-04-23T18:00:00", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/33124/?format=api", "dataPath": "/badc/eyjafjallajokull/data/eufar_operators", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2591500, "numberOfFiles": 7, "fileFormat": "PDF" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9098/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2840/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "A copy of these data were made available to the British Atmospheric Data Centre (BADC) to assist the academic community during this volcanic ash event.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13984/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147935/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147936/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147932/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147933/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147934/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147937/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147930/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147931/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147940/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/33125/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }